Subject: bug#39777: closed (Re: [PATCH V6 0/X] gnu: poetry: Update to 1.0.5.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Mar 2020 21:20:02 +0000

Your bug report

#39777: [PATCH 0/5] gnu: poetry: Update to 1.0.3.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39777: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39777
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH V6 0/X] gnu: poetry: Update to 1.0.5.
From: Leo Famulari <[email-masked]>
To: Tanguy Le Carrour <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Mar 2020 17:19:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Mar 21, 2020 at 03:26:09PM +0100, Tanguy Le Carrour wrote:
> Argh ! Sorry Leo, but… someone updated (at least) one of Poetry's
> dependency in the meantime and… Poetry doesn't support that version
> (yet)!
> 
> I'm fixing it and sending an updated patch. Fortunately, it's only the
> last patch of the stack that has to be updated!

Alright I pushed as 97b1366d49179f38a365bdfa383a8ccba779f8b8 with some
cosmetic changes to the commit messages, synopses, and descriptions, as
well as a fix for python-msgpack-transitional.

Thanks!

Subject: [PATCH 0/5] gnu: poetry: Update to 1.0.3.
From: Tanguy Le Carrour <[email-masked]>
To: [email-masked]
Cc: Tanguy Le Carrour <[email-masked]>
Date: Tue, 25 Feb 2020 09:28:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

Following my update on the work on poetry [1][], here is a patch series
to update poetry and the required dependencies.

[1][]: https://lists.gnu.org/archive/html/guix-devel/2020-02/msg00293.html

To make it work, I had to disable some tests. Some of those failing
tests were reported upstream, some I'll try to fix later or report upstream.

Regards

Tanguy Le Carrour (5):
  gnu: python-pexpect: Update to 4.8.0.
  gnu: python-jsonschema: Update to 3.2.0.
  gnu: python-fakeredis: Update to 1.2.1.
  gnu: python-cachy: Update to 0.3.0.
  gnu: poetry: Update to 1.0.3.

 gnu/packages/databases.scm  |  7 +++--
 gnu/packages/python-xyz.scm | 59 ++++++++++++++++++++++++++-----------
 2 files changed, 47 insertions(+), 19 deletions(-)

-- 
2.25.1